source: trunk/third/moira/gen/print.sh @ 23740

Revision 23740, 1.0 KB checked in by broder, 15 years ago (diff)
In moira: * New CVS snapshot (Trac: #195) * Drop patches that have been incorporated upstream. * Update to build without krb4 on systems that no longer have it. This doesn't build yet on squeeze, which lacks a krb4 library, but I'm committing now before I start hacking away at a patch to fix that.
  • Property svn:executable set to *
Line 
1#! /bin/sh
2# $Id: print.sh,v 1.5 2002-02-23 03:53:49 zacheiss Exp $
3
4if [ -d /var/athena ] && [ -w /var/athena ]; then
5    exec >/var/athena/moira_update.log 2>&1
6else
7    exec >/tmp/moira_update.log 2>&1
8fi
9
10# The following exit codes are defined and MUST BE CONSISTENT with the
11# error codes the library uses:
12MR_MISSINGFILE=47836473
13MR_MKCRED=47836474
14MR_TARERR=47836476
15
16PATH=/bin
17TARFILE=/var/tmp/print.out
18PCLOCAL=/etc/printcap.local
19PCGEN=/etc/printcap.moira
20PRINTCAP=/etc/printcap
21
22# Alert if the tar file or other needed files do not exist
23test -r $TARFILE || exit $MR_MISSINGFILE
24test -r $PCLOCAL || exit $MR_MISSINGFILE
25
26# Unpack the tar file, getting only files that are newer than the
27# on-disk copies (-u).
28cd /
29tar xf $TARFILE || exit $MR_TARERR
30
31# Build full printcap and spools
32cat $PCLOCAL $PCGEN > $PRINTCAP
33/usr/athena/etc/checkpc -f
34if [ $? != 0 ]; then
35    exit $MR_MKCRED
36fi
37/usr/athena/etc/lpc reread
38if [ $? != 0 ]; then
39    exit $MR_MKCRED
40fi
41
42# cleanup
43test -f $TARFILE && rm -f $TARFILE
44test -f $0 && rm -f $0
45
46exit 0
47
Note: See TracBrowser for help on using the repository browser.